array_search
array_slice
Array Functions
PHP Manual

# array_shift

(PHP 4, PHP 5)

array_shift — Shift an element off the beginning of array

### Description

mixed array_shift ( array `&$array` )

array_shift() shifts the first value of the `array` off and returns it, shortening the `array` by one element and moving everything down. All numerical array keys will be modified to start counting from zero while literal keys won't be touched.

> Note: This function will reset() the array pointer after use.

### Parameters

`array`

  The input array.

### Return Values

Returns the shifted value, or `NULL` if `array` is empty or is not an array.

### Examples

Example #1 array_shift() example

`<?php
$stack = array("orange", "banana", "apple", "raspberry");
$fruit = array_shift($stack);
print_r($stack);
?>`

The above example will output:

    Array
    (
        [0] => banana
        [1] => apple
        [2] => raspberry
    )

and orange will be assigned to $fruit.

### See Also

- array_unshift()
- array_push()
- array_pop()

array_search
array_slice
Array Functions
PHP Manual